> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection



## OpenAPI

````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json get /library/{libraryId}/collections/{collectionId}
openapi: 3.0.0
info:
  title: Stream API
  termsOfService: https://bunny.net/tos
  contact:
    name: bunny.net
    url: https://docs.bunny.net
    email: support@bunny.net
  version: 1.5.5
servers:
  - url: https://video.bunnycdn.com
security: []
tags:
  - name: Manage Collections
  - name: Manage Videos
paths:
  /library/{libraryId}/collections/{collectionId}:
    get:
      tags:
        - Manage Collections
      summary: Get Collection
      operationId: Collection_GetCollection
      parameters:
        - name: libraryId
          in: path
          required: true
          schema:
            type: integer
            format: int64
          x-position: 1
        - name: collectionId
          in: path
          required: true
          schema:
            type: string
          x-position: 2
        - name: includeThumbnails
          in: query
          schema:
            type: boolean
            default: false
          x-position: 3
      responses:
        '200':
          description: The details of the requested collection
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionModel'
        '401':
          description: The request authentication failed
        '404':
          description: The requested collection was not found
        '500':
          description: Internal Server Error
      security:
        - AccessKey: []
components:
  schemas:
    CollectionModel:
      type: object
      additionalProperties: false
      properties:
        videoLibraryId:
          type: integer
          description: The video library ID that contains the collection
          format: int64
        guid:
          type: string
          description: The unique ID of the collection
          nullable: true
        name:
          type: string
          description: The name of the collection
          nullable: true
        videoCount:
          type: integer
          description: The number of videos that the collection contains
          format: int64
        totalSize:
          type: integer
          description: The total storage size of the collection
          format: int64
        previewVideoIds:
          type: string
          description: The IDs of videos to be used as preview icons
          nullable: true
        previewImageUrls:
          type: array
          description: The URLs of preview images of videos in the collection
          nullable: true
          items:
            type: string
  securitySchemes:
    AccessKey:
      type: apiKey
      description: AccessKey based authentication
      name: AccessKey
      in: header

````